<?php
/*
Weather Web Cam Images History and Template Plugin PHP Script
PHP script by Mike Challis, www.642weather.com/weather/scripts.php
Download: http://www.642weather.com/weather/scripts/web-cam-history.zip
Info: http://www.642weather.com/weather/scripts-weather-cam-history.php
Contact Mike - http://www.642weather.com/weather/contact_us.php

You are free to use and modify the code

This php code provided "as is", and Long Beach Weather (Michael Challis)
disclaims any and all warranties, whether express or implied, including
(without limitation) any implied warranties of merchantability or
fitness for a particular purpose.

Copyright (C) 2008 Mike Challis  (http://www.642weather.com/weather/contact_us.php)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

PHP version 4.3.9 or greater is recommended
NOTE: This script requires PHP installed using GD image support.
http://us2.php.net/manual/en/ref.image.php

*/

###############
# begin settings
###############

# things you want to check and setup when installing

$cam_title      = 'Web Cam History Image'; // used in image alt tags
$page_title     = 'Web Cam Image Viewer';  // used on this page
$script_name    = 'cam-view.php';          // name of this script file, incase you change it
$cam_dir        = './webcam/';             // folder where the web cam images are WITH slash on end
$image_url_path = './webcam';              // folder where the images are, WITHOUT slash on end!
$prefix         = 'webcamimage';           // because I use webcamimage0.jpg webcamimage0-thm.jpg
$ext            = 'jpg';                   // image file extension is jpg


###############
# end settings
###############


$pic = 1;
if (is_numeric($_GET['pic'])){
 $pic = $_GET['pic'];
}

$next = $pic + '1';
$back = $pic - '1';

$photos = array();

# put all the images into a list
if(is_dir($cam_dir)){
    if($handle = opendir($cam_dir)){
      while(($file = readdir($handle)) !== false){
         if(preg_match("/^$prefix([0-9]*).$ext$/i",$file,$matches)){
           $photos["$matches[1]"] = $file;
        }
      }
      closedir($handle);
    }
}

# count and sort the list
$count = 0;
ksort($photos);
$count = count($photos); # 0 is 1, 1 is 2

$last = $count-1;

$photo = $pic -1;
$img = "$photos[$photo]";
          $size ='';
          if (is_file("$cam_dir$img")){ $size = getimagesize("$cam_dir$img");}
          $w = $size[0]; $h = $size[1];

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="robots" content="nofollow" />

<title><?php echo $page_title ?> - Pic <?php echo $pic ?></title>

<meta http-equiv="Page-Enter" content="blendTrans(Duration=0.5)" />
<meta http-equiv="Page-Exit" content="blendTrans(Duration=0.5)" />
</head>

<body onload='window.resizeTo(document.images[0].width+30,document.images[0].height+180)'>

<div align="center">
<b><?php echo $page_title ?> - Pic <?php echo $pic ?></b><br />
<a href="javascript:window.close()">Close this window</a>

<table border="0" cellpadding="0" cellspacing="0" align="center">
<tr>
    <td height="20" align="center">
<?php

if ($back != '0'){
 echo '<a href="'.$script_name.'?pic=' . $back . '">&lt;Prev</a>  ';
}
echo " $pic of $last ";
if ($next <= $last){
  echo '<a href="'.$script_name.'?pic=' . $next . '">Next&gt;</a>';
}
if ($next > $last){
  echo '- the end - <a href="'.$script_name.'?pic=1">Reset&gt;</a>';
}
echo "<br /><br />
</td></tr>
";


echo '<tr><td align="center">
 <img src="'.$image_url_path.'/'.$img.'?dontcache='.time().'" alt="'.$cam_title.' - '.$pic.'" title="'.$cam_title.' - '.$pic.'" width="'.$w.'" height="'.$h.'" /></td></tr>';

?>

</table>
</div>

</body>
</html>